%define	basefontdir	%{_datadir}/fonts/chinese
%define	ttfontdir	%{basefontdir}/TrueType
%define	miscfontdir	%{basefontdir}/misc
%define cidmapdir   %{_sysconfdir}/ghostscript

%define ver 0.1
%define minor 20060928
%define rhpatch ''
%define taipeiver 1.2

Summary:    Chinese TrueType Font -- Simplified and Traditional Chinese Ming and Kai Face.
Name:		fonts-chinese
Version:    3.03
Release:	4%{?dist}
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#Source:     http://apt.debian.org.tw/pool/t/ttf-arphic-uming/ttf-arphic-uming_%{ver}-%{beta}.tar.gz
#Source1:    http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-ukai_%{ver}-%{beta}.tar.gz
Source2:    taipeifonts-%{taipeiver}.tar.gz
# Revert to the following 2 lines when first patch is needed to be introduced.
#Source3:    ttf-arphic-uming_%{ver}.%{minor}.%{rhpatch}.tar.gz
#Source4:    ttf-arphic-ukai_%{ver}.%{minor}.%{rhpatch}.tar.gz
Source3:    ttf-arphic-uming_%{ver}.%{minor}.orig.tar.gz
Source4:    ttf-arphic-ukai_%{ver}.%{minor}.orig.tar.gz
Source9:    taipeifonts.alias
Source10:	arphicpl.txt
Source11:	arphicpl-big5.txt
Source12:	arphicpl-gb.txt
Source13:	arphic-release.txt
Source20:	FAPIcidfmap.zh_TW
Source21:	FAPIcidfmap.zh_CN
Source22:	cidfmap.zh_TW
Source23:	cidfmap.zh_CN
Source24:       CIDFnmap.zh_TW
Source25:       CIDFnmap.zh_CN

Requires(post): ttmkfdir >= 3.0.6, mkfontdir, fontconfig, /usr/sbin/chkfontpath
Requires(postun): fontconfig, /usr/sbin/chkfontpath
Requires: xorg-x11-font-utils
BuildRequires: xorg-x11-font-utils
Obsoletes:	ttfonts-zh_CN ttfonts-zh_TW ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai taipeifonts

%description
Chinese TTF Fonts donated by Arphic company, with additional Hong Kong characters by Hong Kong font project and bitmap by F
irefly. Read license files for details.

%prep
tar xzvf %{SOURCE3} 
tar xzvf %{SOURCE4} 
tar xzvf %{SOURCE2}

%build
mkdir -p %{name}-%{version}/doc
pushd taipeifonts-%{taipeiver}/
bdftopcf taipei24.bdf | gzip -c > taipei24.pcf.gz
bdftopcf taipei20.bdf | gzip -c > taipei20.pcf.gz
bdftopcf taipei16.bdf | gzip -c > taipei16.pcf.gz
popd

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}
install -d $RPM_BUILD_ROOT%{miscfontdir}
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType
install -m 0644 ttf-arphic-ukai-%{ver}.%{minor}/ukai.ttf $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 ttf-arphic-uming-%{ver}.%{minor}/uming.ttf $RPM_BUILD_ROOT%{ttfontdir}/
install -m 644 taipeifonts-%{taipeiver}/taipei24.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/taipei20.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/taipei16.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/vga12x24.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{miscfontdir}/fonts.alias


# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE20} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE21} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE22} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE23} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE24} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE25} $RPM_BUILD_ROOT%{cidmapdir}/

cp %{SOURCE10} %{SOURCE11} %{SOURCE12} $RPM_BUILD_DIR/%{name}-%{version}/doc/
cp %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}/doc/release.txt


# for dummy
touch $RPM_BUILD_ROOT%{basefontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.scale
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.scale
touch $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
touch $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133

	for tmpfontdir in %{ttfontdir} %{miscfontdir}
	do
		touch $tmpfontdir 2> /dev/null && {
			/usr/bin/ttmkfdir -d $tmpfontdir -o $tmpfontdir/fonts.scale
	    		mkfontdir $tmpfontdir
			/usr/sbin/chkfontpath -q -a $tmpfontdir
		}
	done
	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null

        # make symlinks for java referring to old path and fonts
        ln -sf ../../chinese/TrueType/uming.ttf %{_datadir}/fonts/zh_CN/TrueType/zysong.ttf || :
        ln -sf ../../chinese/TrueType/uming.ttf %{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf || :

}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{ttfontdir}
    /usr/sbin/chkfontpath -q -r %{miscfontdir}

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
fi

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{version}/doc/
%dir %{basefontdir}
%dir %{ttfontdir}
%dir %{miscfontdir}
%dir %{cidmapdir}
%{ttfontdir}
%{miscfontdir}
%dir %{_datadir}/fonts/zh_CN
%dir %{_datadir}/fonts/zh_TW
%dir %{_datadir}/fonts/zh_CN/TrueType
%dir %{_datadir}/fonts/zh_TW/TrueType
%ghost %verify(not md5 size mtime) %{basefontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
%ghost %verify(not md5 size mtime) %{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN


%changelog
* Thu Feb 01 2007 Caius Chance <cchance@redhat.com> - 3.03-4.fc7
- Fixed bz#226716: LTC30501-Missing files in Traditional Chinese font support 
  package (el5->devel).

* Wed Jan 31 2007 Caius Chance <cchance@redhat.com> - 3.03-3.fc7
- Fixed bz#225526: [zh_*] need to add CIDFnmap file back (port el5=>rawhide)

* Wed Jan 31 2007 Caius Chance <cchance@redhat.com> - 3.03-2.fc7
- Fixed bz#225523: Cannot use Chinese fonts on Java application with JRE 
  (porting el5 => rawhide)

* Thu Nov 09 2006 Caius Chance <cchance@redhat.com> - 3.03-1.fc7
- Included new release of arphic uming & ukai (20060928).

* Wed Sep 06 2006 Caius Chance <cchance@redhat.com> - 3.02-7.fc6
- fonts-chinese's postinstall has mistake(fonts-chinese-3.02-4.1)

* Tue Aug 29 2006 Caius Chance <cchance@redhat.com> - 3.02-6.fc6
- updated arphic uming and ukai fonts, re-patched with bz#197207.

* Wed Aug 23 2006 Caius Chance <cchance@redhat.com> - 3.02-5
- fix bz#197207 - cutting of ")" glyph in uming.ttf

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.02-4.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 17 2005 Warren Togami <wtogami@redhat.com> - 3.02-4
- req(foo,bar) syntax breaks erasure ordering

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> - 3.02-3
- fix mkfontdir call

* Tue Nov 15 2005 Warren Togami <wtogami@redhat.com> - 3.02-2
- use less fragile way to call mkfontdir

* Tue Nov 15 2005 Leon Ho <llch@redhat.com> - 3.02-1
- migrate taipeifonts to this package

* Mon Nov 14 2005 Warren Togami <wtogami@redhat.com> - 3.01-3
- rebuild against modular X

* Wed Nov 09 2005 Leon Ho <llch@redhat.com> - 3.01-2
- updated to use which to search for mkfontdir
- update to Requires: mkfontdir.

* Mon Nov 07 2005 Leon Ho <llch@redhat.com> - 3.01-1
- update uming and ukai to 0.1-0.dot.3

* Fri Sep 02 2005 Leon Ho <llch@redhat.com> - 3.00.pre2-1
- Upgrade to pre2 fonts

* Thu Aug 17 2005 Leon Ho <llch@redhat.com> - 3.00.pre1-1
- Move to uMing and uKai with HKSCS and Bitmap glyphs
- combined FAPIcidfmap.{zh_TW,zh_CN} into FAPIcidfmap.zh

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-4
- Added cidfmap.zh_CN and cidfmap.zh_TW for the latest ghostscript.

* Thu Jul 14 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-3
- use FAPIcidfmap instead of CIDFnmap for gs8.

* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-2
- Updated the font path in CIDFnmap.{zh_CN,zh_TW} (John Thacker, #155404)

* Thu Feb 24 2004 Leon Ho <llch@redhat.com>
- merge from ttfonts-zh_CN and ttfonts-zh_TW
